package org.nakedobjects.nos.remote.command;

import org.nakedobjects.noa.security.Session;
import org.nakedobjects.noa.util.ByteDecoder;
import org.nakedobjects.noa.util.ByteEncoder;
import org.nakedobjects.nof.reflect.remote.data.Distribution;

public class CloseSession extends AbstractRequest {

    public CloseSession(ByteDecoder decoder) {
        super(decoder);
    }

    public CloseSession(Session session) {
        super(session);
    }

    protected void doEncode(ByteEncoder encoder) {}

    public void execute(Distribution distribution) {
        distribution.closeSession(session);
    }

}


// Copyright (c) Naked Objects Group Ltd.
