package org.nakedobjects.nos.remote.command;

import org.nakedobjects.noa.security.Session;
import org.nakedobjects.noa.util.ByteDecoder;
import org.nakedobjects.noa.util.ByteEncoder;
import org.nakedobjects.nof.core.util.NotImplementedException;
import org.nakedobjects.nof.reflect.remote.data.Distribution;

import java.util.Properties;


public class GetProperties extends AbstractRequest {
    private static final long serialVersionUID = 1L;

    public GetProperties() {
        super((Session) null);
    }

    public GetProperties(ByteDecoder decoder) {
        super(decoder);
        throw new NotImplementedException();
    }

    public void execute(Distribution distribution) {
        setResponse(distribution.getProperties()); 
    }

    protected void doEncode(ByteEncoder encoder) {
        throw new NotImplementedException();
    }

    public Properties getProperties() {
        return (Properties) getResponse();
    }

}

// Copyright (c) Naked Objects Group Ltd.
