package org.nakedobjects.nos.remote.command.java;

import org.nakedobjects.nof.core.persist.PatternCriteria;
import org.nakedobjects.nof.reflect.remote.data.ObjectData;


public class JavaPatternCriteriaData extends AbstractCriteriaData {
    private static final long serialVersionUID = 1L;
    private ObjectData pattern;

    public JavaPatternCriteriaData(final PatternCriteria criteria, ObjectData objectData) {
        super(criteria);
        pattern = objectData;
    }

    public ObjectData getPattern() {
        return pattern;
    }

    public Class getCriteriaClass() {
        return PatternCriteria.class;
    }
}

// Copyright (c) Naked Objects Group Ltd.
