package org.nakedobjects.nos.remote.command.java;

import org.nakedobjects.nof.core.context.PerspectiveCriteria;


public class PerspectiveCriteriaData extends AbstractCriteriaData {
    private static final long serialVersionUID = 1L;
    private String userName;

    public PerspectiveCriteriaData(final PerspectiveCriteria criteria) {
        super(criteria);
        userName = criteria.getUserName();
    }

    public String getUserName() {
        return userName;
    }

    public Class getCriteriaClass() {
        return PerspectiveCriteria.class;
    }
}

// Copyright (c) Naked Objects Group Ltd.
