package org.nakedobjects.nos.remote.encoded;

import org.nakedobjects.nof.core.system.ServerListenerInstaller;
import org.nakedobjects.nos.remote.AbstractServerListenerInstaller;
import org.nakedobjects.nos.remote.command.socket.AbstractServerListener;


public class EncodingServerListenerInstaller extends AbstractServerListenerInstaller implements ServerListenerInstaller {

    protected AbstractServerListener createListenerInstance() {
        return new EncodingServerListener();
    }

    public String getName() {
        return "byte-encoded";
    }
}

// Copyright (c) Naked Objects Group Ltd.
