package org.nakedobjects.nos.remote.serialise;

import org.nakedobjects.nof.reflect.remote.data.Distribution;
import org.nakedobjects.nos.remote.CommandClientConnectionInstaller;
import org.nakedobjects.nos.remote.command.CommandClient;

public class SerializingClientConnectionInstaller extends CommandClientConnectionInstaller {

    protected Distribution createConnection() {
        CommandClient c = new CommandClient();
        c.setConnection(new SerializingClientConnection());
        return c;
    }
    
    public String getName() {
        return "serializing";
    }
}
// Copyright (c) Naked Objects Group Ltd.
