package org.nakedobjects.nos.remote.command;

import org.nakedobjects.noa.security.Session;
import org.nakedobjects.noa.util.ByteEncoder;
import org.nakedobjects.nof.reflect.remote.data.Distribution;

public class Authenticate extends AbstractRequest {
    private static final long serialVersionUID = 1L;
    private final String data;

    public Authenticate(final String data) {
        super((Session) null);
        this.data = data;
    }

    protected void doEncode(ByteEncoder encoder) {}

    public void execute(Distribution distribution) {
        setResponse(distribution.authenticate(data));
    }

    public Session getSession() {
        return (Session) response;
    }
}


// Copyright (c) Naked Objects Group Ltd.
