package org.nakedobjects.nos.remote.encoded;

import java.io.InputStream;
import java.io.OutputStream;

import org.nakedobjects.nof.reflect.remote.data.Distribution;
import org.nakedobjects.nos.remote.command.socket.AbstractServerListener;
import org.nakedobjects.nos.remote.command.socket.ServerConnection;


class EncodingServerListener extends AbstractServerListener {
    protected ServerConnection createClientConnection(
            final InputStream input,
            final OutputStream output,
            final Distribution distribution) {
        return new EncodingServerConnection(input, output, distribution);
    }
}

// Copyright (c) Naked Objects Group Ltd.
