package org.nakedobjects.nos.remote.serialise;

import org.nakedobjects.nof.core.system.ServerListenerInstaller;
import org.nakedobjects.nos.remote.AbstractServerListenerInstaller;
import org.nakedobjects.nos.remote.command.socket.AbstractServerListener;


public class SerializingServerListenerInstaller extends AbstractServerListenerInstaller implements ServerListenerInstaller {

    protected AbstractServerListener createListenerInstance() {
        return new SerializingServerListener();
    }

    public String getName() {
        return "serializing";
    }
}

// Copyright (c) Naked Objects Group Ltd.
